com.google.appengine.api.datastore

## Class PhoneNumber

- java.lang.Object
- - com.google.appengine.api.datastore.PhoneNumber

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PhoneNumber>

      public final class PhoneNumber
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Comparable<PhoneNumber>

  A human-readable phone number. No validation is performed because phone numbers have many different formats - local, long distance, domestic, international, internal extension, TTY, VOIP, SMS, and alternative networks like Skype, XFire and Roger Wilco. They all have their own numbering and addressing formats.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhoneNumber(java.lang.String number)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(PhoneNumber o)`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getNumber()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          public static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PhoneNumber

          public PhoneNumber(java.lang.String number)

  - ### Method Detail

    - #### getNumber

          public java.lang.String getNumber()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(PhoneNumber o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<PhoneNumber>`